Page MenuHomePhabricator

[Migrated] CirrusSearch
Closed, InvalidPublic

Description

With CirrusSearch now enabled and running fairly well, it is now possible to do regex searches. For example, To search for {{tag|center|o}}, you would use insource:/\<center\>/. It should be able to use search to create lists. There are currently limitations on the number of regex searches that can be performed simultaneously. More info at [[mw:Help:CirrusSearch]]. @Gadget850 17:00, 28 October 2014 (UTC)

Event Timeline

Reguyla raised the priority of this task from to Needs Triage.
Reguyla updated the task description. (Show Details)
Reguyla added a project: AutoWikiBrowser.
Reguyla moved this task to Make list on the AutoWikiBrowser board.

@Gadget850 10:42, 4 January 2015 (UTC) wrote:
Figured out how to make this work but it is a bit weird.

@Magioladitis 10:52, 22 January 2015 (UTC) wrote:
@Gadget850 you can help us by writing how you did it.

@John_of_Reading, 11:10, 22 January 2015 (UTC) wrote:
{{replyto|Magioladitis}} //en.wikipedia.org/w/index.php?title=Wikipedia_talk:AutoWikiBrowser&diff=636041706&oldid=636039035 Does this help?

@Magioladitis, 11:12, 22 January 2015 (UTC) wrote:
[[User:John of Reading|John of Reading]] thanks! I wonder if we should something in the manual and in which place. There were a lot of questions/requests/complains about CirrusSearch.

@Gadget850, 11:39, 22 January 2015 (UTC) wrote:
If I do an on-wiki search for insource:/\<center\>\<gallery/i I get 38 pages (seems like it always reports one more than actual). If I do the same search in AWB I get 0 pages. If I search wiki or AWB for <code><nowiki>"gallery" insource:/\<center\>\<gallery/i I get 17 pages. If I search for "e" insource:/\<center\>\<gallery/i I get 22 pages (''e'' is the most common letter in the English alphabet). If I search for "a" insource:/\<center\>\<gallery/i I get 37 pages (''a'' is the second most common letter in the English alphabet). I don't understand why AWB needs this prefixed search. There were issues with insource searches when CS was first introduced, but they seem to have been resolved.

@Reedy, 19:01, 22 January 2015 (UTC) wrote:
https://en.wikipedia.org/w/api.php?action=query&list=search&srwhat=text&srlimit=max&srsearch=insource:/\%3Ccenter\%3E\%3Cgallery/i vs https://en.wikipedia.org/w/api.php?action=query&list=search&srwhat=text&srsearch=%27insource%3a%2f%5c%3Ccenter%5c%3E%5c%3Cgallery%2fi%27&srlimit=max - It seems the html encoding screws it up.

@Gadget850, 19:45, 15 March 2015 (UTC) wrote:
Should I open a new bug on this?

@Reedy, 20:50, 15 March 2015 (UTC) wrote:
{{phab|92776}}

Reguyla set Security to None.
Restricted Application added a project: Discovery. · View Herald TranscriptJun 15 2015, 5:21 PM
Deskana closed this task as Invalid.Dec 5 2015, 7:23 AM
Deskana claimed this task.
Deskana added a subscriber: Deskana.

This task is not actionable, as it does not make it clear what problem is to be solved or what feature is being requested. Feel free to add additional context, and then reopen the task.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 5 2015, 7:23 AM

This task is not actionable, as it does not make it clear what problem is to be solved or what feature is being requested. Feel free to add additional context, and then reopen the task.

I belive this is a feature request for AutoWikiBrowser and it seems pretty clear what is wanted for it. Feel free to remove the project CirrusSearch if you belived it was something that was wanted from that.

Restricted Application added a project: Discovery-Search. · View Herald TranscriptJul 22 2017, 1:08 PM